﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=5.9
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
End Sub
Public Sub GetPackageName (Module As Object) As String
	Dim ModJo As JavaObject = Module
	Dim MoStr As String = ModJo.RunMethod("toString",Null)
	Return MoStr.SubString2(MoStr.IndexOf(" ")+1,MoStr.LastIndexOf("."))
End Sub
'Joins an array or list of strings with Delimeters in between
Public Sub StringJoin(Delim As String, Source As Object) As String
	Dim Str As JavaObject
	Str.InitializeNewInstance("java.lang.String",Null)
	Return Str.RunMethod("join",Array(Delim,Source))
End Sub
Public Sub StringCount(StringToSearch As String,TargetStr As String,IgnoreCase As Boolean) As Int
    If IgnoreCase Then
        StringToSearch = StringToSearch.ToLowerCase
        TargetStr = TargetStr.ToLowerCase
    End If

    Return (StringToSearch.Length - StringToSearch.Replace(TargetStr,"").Length) / TargetStr.Length

End Sub

Public Sub GetTypes As String()
	Dim L() As String = Array As String( _
	"elID", _
	"oelID", _
	"nelID", _
	"pageName", _
	"appName", _
	"oldPageName", _
	"newPageName", _
	"doctype", _
	"html", _
	"head", _
	"title", _
	"meta", _
	"link", _
	"body", _
	"nav", _
	"div", _
	"ul", _
	"li", _
	"form", _
	"input", _
	"button", _
	"script", _
	"Activity", _
	"Bitmap", _
	"Button", _
	"Boolean", _
	"Boolean()", _
	"Byte", _
	"Byte()", _
	"Canvas", _
	"Checkbox", _
	"Char", _
	"Char()", _
	"ColorDrawable", _
	"ComboBox", _
	"Context", _
	"Double", _
	"Double()", _
	"Drawable", _
	"EditText", _
	"File", _
	"Float", _
	"Float()", _
	"Font", _
	"Form", _
	"JobName", _
	 "HttpJob", _
	 "IsDismissible", _
	 "Footer", _
	 "Content", _
	 "ShowLoader", _
	 "ShowLoaderType", _
	 "PageHTMLName", _
	 "PageTitle", _
	 "PageDescription", _
	 "PageKeywords", _
	 "PageSiteMapPriority", _
	 "PageSiteMapFrequency", _
	 "UseFontAwesome", _
	 "DisableBackButton", _
	 "WebSocket", _
	 "Message", _
	 "GoogleMapsAPIExtras", _
	 "IsFixedFooter", _
	 "DisablePageReloadOnSwipeDown", _
	 "PageLanguage", _
	 "ShowGridInfo", _
	"InputStream", _
	"Int", _
	"Int()", _
	"Intent", _
	"JavaObject", _
	"JavaObject()", _
	"JFX", _
	"Label", _
	"List", _
	"ListView", _
	"Long", _
	"Long()", _
	"Map", _
	"Matcher", _
	"MediaPlayer", _
	"Node", _
	"Object", _
	"Object()", _
	"OutputStream", _
	"PackageManager", _
	"Pane", _
	"Path", _
	"Phone", _
	"ProgressBar", _
	"RadioButton", _
	"RandomAccessFile", _
	"Rect", _
	"RichString", _
	"RichStringBuilder", _
	"RichStringFormatter", _
	"SeekBar", _
	"Short", _
	"Short()", _
	"Spinner", _
	"StateListDrawable", _
	"String", _
	"String()", _
	"Timer", _
	"Togglebutton", _
	"Tooltip", _
	"Typeface", _
	"Uri", _
	"View", _
	"DateTime", _
	"TimeFormat", _
	"DateFormat", _
	"ABMButton", _
	"SyncfusionChart", _
	"SyncfusionGantt", _
	"MashJustGage", _
	"ExcelReport", _
	"ABMSlider", _
	"ABMApplication", _
	"ABMTheme", _
	"ABMaterial", _
	"ABMContainer", _
	"ABMChip", _
	"ABMLabel", _
	"ABMPage", _
	"ABMCard", _
	"ABMImage", _
	"ABMActionButton", _
	"ABMChart", _
	"ABMCodeLabel", _
	"ABMPagination", _
	"ABMCustomComponent", _
	"ABMTableCell", _
	"ABMList", _
	"ABMTimeLine", _
	"ABMPDFViewer", _
	"ABMTimeLineSlide", _
	"ABMGoogleMap", _
	"ABMInput", _
	"ABMCombo", _
	"ABMSocialOAuth", _
	"ABMFlexWall", _
	"ABMSignaturePad", _
	"ABMSocialShare", _
	"ABMRange", _
	"ABMFileInput", _
	"ABMModalSheet", _
	"ABMCalendar", _
	"ABMCalendarEvent", _
	"ABMDateTimeScroller", _
	"ABMDateTimePicker", _
	"ABMUpload", _
	"ABMVideo", _
	"ABMParallax", _
	"ABMAudioPlayer", _
	"ABMAudioPlayerSong", _
	"ABMBadge", _
	"ABMCheckBox", _
	"ABMSwitch", _
	"ABMImageSlider", _
	"ABMTreeTable", _
	"ABMtreeTableRow", _
	"ABMTreeTableCell", _
	"ABMChartSerie", _
	"ABMSVGSurface", _
	"ABMSVGElement", _
	"ABMAnimation", _
	"ABMTabs", _
	"ABMEditor", _
	"ABMCanvas", _
	"ABMGeneratorCRUDDefinition", _
	"ABMCanvasObject", _
	"ABMRadioGroup", _
	"ABMPoint", _
	"ABMPatternLock", _
	"NavigationBar", _
	"Card", _
	"Cell", _
	"Table", _
	"Chart", _
	"ImageSlider", _
	"Container", _
	"Divider", _
	"Editor", _
	"Item", _
	"Tabs", _
	"TreeTable", _
	"Toast", _
	"Upload", _
	"TreeIconColor", _
	"IsCircular", _
"IsResponsive", _
"OptionsBar", _
"Session", _
"Values", _
"ChartPaddingRight", _
"AxisYOnlyInteger", _
"VerticalAlign", _
"BackColor", _
"BackColorIntensity", _
"ForeColor", _
"ForeColorIntensity", _
"VerticalAlign", _
"Rounded", _
"ActionForeColor", _
"ZDepth", _
"TopBarDropDownConstrainWidth", _
"ActiveTopReturnName", _
"ActiveSideReturnName", _
"ActiveSideSubReturnName", _
"PaddingBottom", _
"IsFilled", _
"Enabled", _
"HandleToolTip", _
"IsBordered", _
"IsScrollable", _
"IgnoreFormattingCodes", _
"Connect", _
"State", _
"MainButton", _
"Image", _
"IsReveal", _
"PreparePrintingText", _
"ReadDirection", _
"AllowDownload", _
"AllowOpen", _
"AllowPrint", _
"inputMask", _
"WrongMessage", _
"SuccessMessage", _
"AllowSideBar", _
"PlaceHolderText", _
"AllowViewBookmark", _
"IsBlockQuote", _
"IconName", _
"AutoCompleteType", _
"AutoComplete", _
"Size", _
	"Input", _
	"TodayText", _
	"ReturnDateFormat", _
	"ReturnTimeFormat", _
	"Language", _
	"Now", _
	"DateDayNames", _
	"DateDayNamesShort", _
	"DateMonthNamesShort", _
	"DateMonthNames", _
	"TitleTimeFormat", _
	"EndTime", _
	"MinTime", _
	"MaxTime", _
	"ShowWeekends", _
	"Editable", _
	"TextColor", _
	"TextColorIntensity", _
	"BackgroundColor", _
	"BackgroundColorIntensity", _
	"AllDay", _
	"TimeShowAMPM", _
	"IconSize", _
	"TitleDateFormat", _
	"FirstDayOfWeek", _
	"PickText", _
	"CancelText", _
	"StartAtSlideNumber", _
	"HideSwipeMessage", _
	"StartDate", _
	"Month", _
	"Text", _
	"Caption", _
	"IsClickable", _
	"IsFlowText", _
	"ImageUrl", _
	"TitleForeColor", _
	"ContentForeColor", _
	"BorderColor", _
	"BorderWidth", _
	"Align", _
	"IsEditable", _
	"ActiveBackColor", _
	"ActiveBackColorIntensity", _
	"InputMask", _
	"UseStrikethrough", _
	"LabelColor", _
	"ItemBackColor", _
	"SubItemBackColor", _
	"SubItemDividerColor", _
	"Height", _
	"ErrorColor", _
	"HoverForeColor", _
	"IndicatorColor", _
	"TopBarBackColor", _
	"Date", _
	"Time", _
	"StrikethroughColor", _
	"ActiveBulletColor", _
	"IconColor", _
	"InactiveBulletColor", _
	"ABMShared", _
	"InactiveBulletColorIntensity", _
	"Interval", _
	"Author", _
	"Truncate", _
	"Title", _
	"IsMaterialBoxed", _
	"WebView" _
	)
	Return L
End Sub

Sub GetKeywords As String()
	'"As" is dealt with Explicitly
	Dim L() As String = Array As String( _
	"cd", _
	"create", _
	"component", _
	"add_anchor", _
	"add_url", _
	"add_textarea", _
	"add_select", _
	"add_search", _
	"add_radio", _
	"add_password", _
	"add_label", _
	"add_color", _
	"add_checkbox", _
	"set_width", _
	"set_type", _
	"set_step", _
	"set_src", _
	"set_source", _
	"set_required", _
	"set_poster", _
	"set_placeholder", _
	"set_pattern", _
	"set_optimum", _
	"set_min", _
	"set_max", _
	"set_low", _
	"set_list", _
	"set_href", _
	"set_high", _
	"set_height", _
	"set_form", _
	"set_datetime", _
	"set_autoplay", _
	"set_autofocus", _
	"set_autocomplete", _
	"set_attribute", _
	"add_week", _
	"add_video", _
	"add_text", _
	"add_tel", _
	"add_submit", _
	"add_progress", _
	"add_option", _
	"add_number", _
	"add_month", _
	"add_file", _
	"add_email", _
	"add_datetimelocal", _
	"add_datetime", _
	"add_date", _
	"add_datalist", _
	"add_canvas", _
	"add_button", _
	"add_audio", _
	"select", _
	"list_attributes", _
	"element", _
	"list", _
	"active", _
	"serve", _
	"add_page", _
	"clear_text", _
	"clear_value", _
	"set_parent", _
	"add_div", _
	"add_div2", _
	"add_child", _
	"set_tag", _
	"add_children", _
	"add_li","addli","add_span","addspan","add_ul","addul","add_article","addarticle", _
	"add_aside","addaside","add_figcaption","addfigcaption","add_figure","addfigure", _
	"add_footer","addfooter","add_header","addheader","add_hgroup","addhgroup", _
	"add_mark","addmark","add_nav","addnav","add_section","addsection","add_time","addtime", _
	"add_keygen","addkeygen","add_meter","addmeter","add_summary","addsummary", _
	"add_form","addform", _
	"add_attribute", _
	"delete_attribute", _
	"clear_name", _
	"delete_page", _
	"serve_page", _
	"create_page", _
	"list_pages", _
	"active_page", _
	"select_page", _
	"rename_page", _
	"set_text", "set_tabindex","set_active","set_value","set_typeof","set_element", "set_name", _
	"list_templates", _
	"add_element", "add_component", _
	"create_element", "create_component", _
	"list_elements", "list_components", _
	"update_element", "update_component", _
	"rename_element", "rename_component", _
	"delete_element", "delete_component", _
	"select_element", "select_component", _
	"refresh_page", _
	"add_class", _
	"delete_class", _
	"list_classes", _
	"charset", _
	"viewport", _
	"content", _
	"width", _
	"device-width", _
	"initial-scale", _
	"shrink-to-fit", _
	"http-equiv", _
	"name", _
	"rel", _
	"href", _
	"class", _
	"type", _
	"placeholder", _
	"src", _
	"Abs", _
	"GetStart", _
	"GetActiveItemId", _
	"LoadPlaylist", _
	"LoadSingleSong", _
	"AddRadioButton", _
	"InitializeAsToggle", _
	"SetActive", _
	"AddImage", _
	"PrepareComponentsForAllSlides", _
	"Goto", _
	"InitializeYoutube", _
	"AddSlide", _
	"GetStop", _
	"GetValue", _
	"SetFocus", _
	"Length", _
	"AddSlideImage", _
	"PrepareComponentsForSlide", _
	"AddEmail", _
	"SetActivePage", _
	"Prepare", _
 	"RemoveAttribute", _
 	"Split", _
 	"Remove", _
 	"UseGoogleAnalytics", _
 	"AddModalSheetTemplate", _
 	"SetFixedHeight", _
 	"UseTheme", _
 	"ShowModalsheet", _
 	"Clear", _
 	"DismissToast", _
 	"Flush", _
 	"FinishedLoading", _
	"ShowToast", _
 	"Release", _
 	"SetEvents", _
	"Refresh", _
	"Play", _
	"BuildHeader", _
	"SetFontStack", _
	"BuildSubHeader", _
	"BuildParagraph", _
	"BuildParagraphBQ", _
	"BuildSpan", _
	"BuildCodeBlock", _
	"BuildCodeBlockFromSmartString", _
	"NavigateToPage", _
	"UploadToServer", _
	"AddFacebook", _
	"ABM.COLLAPSE_ACCORDION", _
	"ABM.COLLAPSE_EXPANDABLE", _
	"ABM.COLLAPSE_NONE", _
	"ABM.SOCIALSHARTHEMETYPE_CLASSIC", _
	"ABM.SOCIALSHARTHEMETYPE_FLAT", _
	"ABM.SOCIALSHARTHEMETYPE_MINIMA", _
	"ABM.SOCIALSHARTHEMETYPE_PLAIN", _	
	"ABM.SIDEBAR_AUTO", _
	"ABM.SIDEBAR_MANUAL_ALWAYSHIDE", _
	"ABM.SIDEBAR_MANUAL_HIDEMEDIUMSMALL", _
	"ABM.AUTOCOMPLETE_CONTAINS", _
	"ABM.AUTOCOMPLETE_GOOGLE", _
	"ABM.AUTOCOMPLETE_STARTS", _
	"ABM.INPUT_DATE", _
	"ABM.INPUT_DATETIMELOCAL", _
	"ABM.DATETIMEPICKER_TYPE_DATE", _
	"ABM.DATETIMEPICKER_TYPE_DATETIME", _
	"ABM.DATETIMEPICKER_TYPE_TIME", _
	"ABM.DATETIMEPICKER_TYPE_WEEK", _	
	"ABM.INPUT_EMAIL", _
	"ABM.INPUT_NUMBER", _
	"ABM.INPUT_PASSWORD", _
	"ABM.INPUT_SEARCH", _
	"ABM.INPUT_TEL", _
	"ABM.INPUT_TEXT", _
	"ABM.INPUT_TIME", _
	"ABM.INPUT_URL", _	
	"ABM.DATETIMESCROLLER_TYPE_DATE", _
	"ABM.DATETIMESCROLLER_TYPE_DATETIME", _
	"ABM.DATETIMESCROLLER_TYPE_TIME", _	
	"ABM.DATETIMESCROLLER_MODE_CLICKPICK", _
	"ABM.DATETIMESCROLLER_MODE_MIXED", _
	"ABM.DATETIMESCROLLER_MODE_SCROLLER", _
	"ABM.CALENDAR_FISTDAYOFWEEK_FRIDAY", _
	"ABM.CALENDAR_FISTDAYOFWEEK_MONDAY", _
	"ABM.CALENDAR_FISTDAYOFWEEK_SATURDAY", _
	"ABM.CALENDAR_FISTDAYOFWEEK_SUNDAY", _
	"ABM.CALENDAR_FISTDAYOFWEEK_THURSDAY", _
	"ABM.CALENDAR_FISTDAYOFWEEK_TUESDAY", _
	"ABM.CALENDAR_FISTDAYOFWEEK_WEDNESDAY", _
	"ABM.SOCIALSHAREBUTTONTYPE_BASIC", _
	"ABM.SOCIALSHAREBUTTONTYPE_BUTTONLABEL", _
	"ABM.SOCIALSHAREBUTTONTYPE_BUTTONLABELCOUNT", _
	"ABM.SOCIALSHAREBUTTONTYPE_ICONSCOUNT", _
	"ABM.SOCIALSHAREBUTTONTYPE_ICONSCOUNTINSIDE", _
	"ABM.SOCIALSHAREBUTTONTYPE_ICONSONLY", _
	"ABM.BUTTONSIZE_LARGE","ABM.BUTTONSIZE_SMALL","ABM.BUTTONSIZE_NORMAL", _
	"ABM.TABLECELL_VERTICALALIGN_TOP","ABM.TABLECELL_VERTICALALIGN_BOTTOM", _
	"ABM.TABLECELL_VERTICALALIGN_MIDDLE", _
	"ABM.CALENDAR_DEFAULTVIEW_DAY", _
	"ABM.CALENDAR_DEFAULTVIEW_MONTH", _
	"ABM.CALENDAR_DEFAULTVIEW_WEEK", _
	"ABM.COLOR_AMBER","ABM.COLOR_BLACK","ABM.COLOR_BLUE","ABM.COLOR_BLUEGREY", _
	"ABM.COLOR_BROWN",	"ABM.COLOR_CYAN","ABM.COLOR_DEEPORANGE","ABM.COLOR_DEEPPURPLE","ABM.COLOR_GREEN", _
	"ABM.COLOR_GREY","ABM.COLOR_INDIGO","ABM.COLOR_LIGHTBLUE", _
	"ABM.COLOR_LIGHTGREEN","ABM.COLOR_LIME","ABM.COLOR_ORANGE", _
	"ABM.COLOR_PINK", "ABM.COLOR_PURPLE","ABM.COLOR_RED","ABM.COLOR_TEAL", _
	"ABM.COLOR_TRANSPARENT","ABM.COLOR_WHITE","ABM.COLOR_YELLOW", _
	"ABM.IMAGESLIDER_CENTER", _
	"ABM.IMAGESLIDER_LEFT", _
	"ABM.IMAGESLIDER_RIGHT", _
	"ABM.PDF_READDIRECTION_LTR", _
	"ABM.INTENSITY_LIGHTEN5", "ABM.INTENSITY_LIGHTEN4", _
	"ABM.INTENSITY_LIGHTEN3", "ABM.INTENSITY_LIGHTEN2", "ABM.INTENSITY_LIGHTEN1", _
	"ABM.INTENSITY_NORMAL", "ABM.INTENSITY_DARKEN1", "ABM.INTENSITY_DARKEN2", _
	"ABM.INTENSITY_DARKEN3", "ABM.INTENSITY_DARKEN4","ABM.INTENSITY_ACCENT1", _
	"ABM.INTENSITY_ACCENT2", "ABM.INTENSITY_ACCENT3","ABM.INTENSITY_ACCENT4", 	"ABM.PDF_READDIRECTION_RTL", _
	"ABM.CARD_LARGE", "ABM.CARD_MEDIUM", "ABM.CARD_NOTSPECIFIED", "ABM.CARD_SMALL", _
	"ABM.RANGE_CONNECT_TRUE", "ABM.RANGE_CONNECT_FALSE", _
	"ABM.SLIDER_CONNECT_LOWER", "ABM.SLIDER_CONNECT_NONE", "ABM.SLIDER_CONNECT_UPPER", _
	"ABM.ICONALIGN_LEFT","ABM.ICONALIGN_RIGHT", _
	"ABM.ICONSIZE_LARGE","ABM.ICONSIZE_MEDIUM","ABM.ICONSIZE_SMALL","ABM.ICONSIZE_TINY", _
	"ABM.SIZE_A", "ABM.SIZE_H4","ABM.SIZE_H1","ABM.SIZE_H2","ABM.SIZE_H3", _
	"ABM.SIZE_H5","ABM.SIZE_H6", "ABM.SIZE_PARAGRAPH","ABM.SIZE_SPAN", _
	"ABM.ZDEPTH_REMOVE", "ABM.ZDEPTH_1", "ABM.ZDEPTH_2", "ABM.ZDEPTH_3", _
	"ABM.ZDEPTH_4", "ABM.ZDEPTH_5", _
	"ABM.TEXTALIGN_JUSTIFY", "ABM.TEXTALIGN_CENTER", _
	"ABM.CELL_ALIGN_CENTER", "ABM.TEXTALIGN_LEFT", "ABM.TEXTALIGN_RIGHT", _
	"ABM.INPUT_TEXTALIGN_END", "ABM.TABLECELL_HORIZONTALALIGN_RIGHT", _
	"ABM.INPUT_TEXTALIGN_CENTER", _
	"ABM.LOADER_TYPE_MANUAL", _
 	"ABM.SITEMAP_FREQ_MONTHLY", _
 	"ABM.YOUTUBESTATE_PLAYING", _
 	"ABM.YOUTUBESTATE_VIDEOCUED", _
	"ABM.INPUT_TEXTALIGN_END", _
	"ABM.INPUT_TEXTALIGN_LEFT", _
	"ABM.INPUT_TEXTALIGN_RIGHT", _
	"ABM.INPUT_TEXTALIGN_START", _
	"GetDate", _
	"ListItemIconTitle", _
	"ListItemImageTitleDescription", _
	"ListItemCard", _
	"ListItemBadge", _
	"AddGooglePlus", _
	"AddLinkedIn", _
	"AddPintrest", _
	"AddTwitter", _
	"AddWhatsApp", _
	"AddFacebookLike", _
	"Add", _
	"SetDivider", _
	"SetTotalNumberOfPages", _
	"AddFacebookButton", _
	"AddInstagramButton", _
	"AddSoundCloudButton", _
	"AddTwitterButton", _
	"AddWindowsLiveButton", _
	"AddYahooButton", _
	"AddLinkedInButton", _
	"AddGooglePlusButton", _
	"AddFourSquareButton", _
	"AddSubItem", _
	"SetHeaders", _
	"SetColumnSortable", _
	"SetColumnDataFields", _
	"SetFooter", _
	"SetColumnVisible", _
	"SetHeaderThemes", _
	"Put", _
	"Get", _
	"AddItem", _
	"SetHeaderHeights", _
	"Initialize", _
	"AddAction", _
	"AddActionButton", _
	"AddChartTheme", _
	"AddLabelTheme", _
	"AddUploadTheme", _
	"AddListTheme", _
	"AddItemTheme", _
	"AddNavigationBarTheme", _
	"AddTreeIconColorTheme", _
	"AddTreeTableTheme", _
	"AddTableTheme", _
	"AddTabsTheme", _
	"AddInputTheme", _
	"AddImageSliderTheme", _
	"AddToastTheme", _
	"AddContainerTheme", _
	"AddEditorTheme", _
	"AddDividerTheme", _
	"ACos", _
	"ACosD", _
	"Array", _
	"Asc", _
	"ASin", _
	"ASinD", _
	"ATan", _
	"ATan2", _
	"InitializeWithTheme", _
"InitializeRaised", _
"InitializeAsPanorama", _
"InitializeAsCard", _
"InitializeFloating", _
"InitializeScrollable", _
"InitializeVimeo", _
"InitializeHTML5", _
"InitializeAsRectangle", _
"InitializeforLine", _
"RestoreNavigationBarPosition", _
"InitializeAsCircle", _
"SetFixedSize", _
"AddTopItem", _
"AddTopSubItem", _
"AddSideBarComponent", _
"AddRows", _
"AddRowsM", _
"AddCellsOSMP", _
"AddCellsOS", _
"BuildGrid", _
"AddCells12MP", _
"AddCells12", _
"SetFixedSize", _
"AddAll", _
"SetAttribute", _
	"ATan2D", _
	"ATanD", _
	"BytesToString", _
	"CallSub", _
	"CallSub2", _
	"CallSub3", _
	"CallSubDelayed", _
	"CallSubDelayed2", _
	"CallSubDelayed3", _
	"CancelScheduledService", _
	"Catch", _
	"cE", _
	"Ceil", _
	"CharsToString", _
	"Chr", _
	"ConfigureHomeWidget", _
	"Continue", _
	"Cos", _
	"CosD", _
	"cPI", _
	"CreateMap", _
	"CRLF", _
	"Density", _
	"Dim", _
	"DipToCurrent", _
	"Do", _
	"DoEvents", _
	"End", _
	"Exit", _
	"ExitApplication", _
	"False", _
	"File", _
	"Floor", _
	"For", _
	"GetDeviceLayoutValues", _
	"GetType", _
	"If", _
	"InputList", _
	"InputMap", _
	"InputMultiList", _
	"Is", _
	"IsBackgroundTaskRunning", _
	"IsDevTool", _
	"IsNumber", _
	"IsPaused", _
	"LastException", _
	"LoadBitmap", _
	"LoadBitmapSample", _
	"Log", _
	"Logarithm", _
	"LogColor", _
	"Loop", _
	"Max", _
	"Me", _
	"Min", _
	"Msgbox", _
	"Msgbox2", _
	"Not", _
	"Null", _
	"NumberFormat", _
	"NumberFormat2", _
	"PerXToCurrent", _
	"PerYToCurrent", _
	"Power", _
	"Private", _
	"ProgressDialogHide", _
	"ProgressDialogShow", _
	"ProgressDialogShow2", _
	"Public", _
	"QUOTE", _
	"Regex", _
	"Return", _
	"Rnd", _
	"RndSeed", _
	"Round", _
	"Round2", _
	"Select", _
	"Sender", _
	"Sin", _
	"SinD", _
	"SmartStringFormatter", _
	"Sqrt", _
	"StartActivity", _
	"StartService", _
	"StartServiceAt", _
	"StartServiceAtExact", _
	"StopService", _
	"Sub", _
	"SubExists", _
	"TAB", _
	"Tan", _
	"TanD", _
	"ToastMessageShow", _
	"True", _
	"Try", _
	"Type", _
	"Until", _
	"Then", _
	"AddComponent", _
	"Component", _
	"AddSideBarDivider", _
	"AddSideBarItem", _
	"AddSideBarSubItem", _
	"AddButtonTheme", _
	"AddCardTheme", _
	"AddCellTheme", _	
	"While" _
	)
	Return L
End Sub
Sub GetDirectives As String()
	Dim L() As String = Array As String( _
	"#AdditionalJar:", _
	"#CommandLineArgs:", _
	"#CustomBuildAction:", _
	"#DebuggerDisableOptimizations:", _
	"#DesignerProperty:", _
	"#Event:", _
	"#ExcludeFromLibrary:", _
	"#IgnoreWarnings:", _
	"#LibraryAuthor:", _
	"#LibraryName:", _
	"#LibraryVersion:", _
	"#MainFormHeight:", _
	"#MainFormWidth:", _
	"#MergeLibraries:", _
	"#RaisesSynchronousEvents", _
	"#VirtualMachineArgs:" _
	)
	Return L
End Sub
Sub GetConditional As String()
	Dim L() As String = Array As String( _
	"#If", _
	"#Else", _
	"#End\ If", _
	"#Else\ If", _
	"#Region", _
	"#End\ Region" _
	)
	Return L
End Sub
